using System;
using System.Drawing;

using Icarus.Graphics.Animation;

namespace Icarus.Renderer.Animation
{
	/// <summary>
	/// Allows rendering in D3D.
	/// </summary>
	public class D3DAnimationFactory : AnimationFactory
	{
		public override IFrame makeBlankFrame()
		{
			return new D3DFrame();
		}

		public override AbstractText makeText(String text, Color c, Font f)
		{
			return new D3DText(text, c, f);
		}
	}
}
